Page MenuHomePhabricator

efl_mono: Create insert list/array c# wrapper for eina_value.
ClosedPublic

Authored by lucas on Feb 6 2020, 10:19 AM.

Details

Summary

Implements Insert() method to eina.Value containers (array/list). The
Insert() (src/bindings/mono/eina_mono/eina_value.cs) method wraps native functions implemented with c
(src/lib/eina/eina_inline_value.x).
Resolves T7402

Test Plan

Meson configured with -Dbindings=mono,cxx -Dmono-beta=true, and tests runned
with ninja test all.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
lucas created this revision.Feb 6 2020, 10:19 AM
lucas requested review of this revision.Feb 6 2020, 10:19 AM

This indeed does what T7402 requested. I cannot comment on the code, though.

lucas updated this revision to Diff 28909.Feb 7 2020, 11:09 AM

Add out of bounds insertion tests.

lucas updated this revision to Diff 28910.Feb 7 2020, 11:53 AM

Remove already landed changes in C insert.

lucas edited the summary of this revision. (Show Details)Feb 13 2020, 6:20 AM
This revision was not accepted when it landed; it landed in state Needs Review.Feb 13 2020, 10:27 AM
This revision was automatically updated to reflect the committed changes.